bitel.billing.server.dialup.bean

## Class DialUpLogin

- java.lang.Object
- - bitel.billing.server.call.bean.Login
  - - bitel.billing.server.dialup.bean.DialUpLogin

- All Implemented Interfaces:
    java.io.Serializable

      public class DialUpLogin
      extends Login

  Логин модуля DialUp
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GLOBAL_AND_LOCAL_RA`
    `static int` | `ONLY_LOCAL_RA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialUpLogin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getAttributeSets()`
    `java.util.Map<java.lang.String,java.util.List<java.lang.String[]>>` | `getAvpPairs()`
    `java.lang.String` | `getRealmGroup()` Возвращает группу реалмов
    `int` | `getRpMode()` Возвращает режим радиус-аттрибутов
    `void` | `setAttributeSets(java.util.Set<java.lang.Integer> attributeSets)`
    `void` | `setAvpPairs(java.util.Map<java.lang.String,java.util.List<java.lang.String[]>> avpPairs)`
    `void` | `setRealmGroup(java.lang.String realmGroup)` Устанавливает группу реалмов
    `void` | `setRpMode(int rpMode)` Устанавливает режим радиус-аттрибутов

    - ### Methods inherited from class bitel.billing.server.call.bean.Login

      `getCid, getComment, getDate1, getDate2, getId, getLogin, getMaxSession, getObjectId, getPswd, getStatus, setCid, setComment, setDate1, setDate2, setId, setLogin, setMaxSession, setObjectId, setPswd, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GLOBAL_AND_LOCAL_RA

          public static final int GLOBAL_AND_LOCAL_RA

      See Also:
        Constant Field Values

    - #### ONLY_LOCAL_RA

          public static final int ONLY_LOCAL_RA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DialUpLogin

          public DialUpLogin()

  - ### Method Detail

    - #### getAvpPairs

          public java.util.Map<java.lang.String,java.util.List<java.lang.String[]>> getAvpPairs()

    - #### setAvpPairs

          public void setAvpPairs(java.util.Map<java.lang.String,java.util.List<java.lang.String[]>> avpPairs)

    - #### getAttributeSets

          public java.util.Set<java.lang.Integer> getAttributeSets()

    - #### setAttributeSets

          public void setAttributeSets(java.util.Set<java.lang.Integer> attributeSets)

    - #### getRpMode

          public int getRpMode()

      Возвращает режим радиус-аттрибутов
      Returns:
        0, если глобальные и локальные, или 1, если только локальные

    - #### setRpMode

          public void setRpMode(int rpMode)

      Устанавливает режим радиус-аттрибутов
      Parameters:
        `rpMode` - 0, если глобальные и локальные, или 1, если только локальные

    - #### getRealmGroup

          public java.lang.String getRealmGroup()

      Возвращает группу реалмов
      Returns:
        группа реалмов (строка)

    - #### setRealmGroup

          public void setRealmGroup(java.lang.String realmGroup)

      Устанавливает группу реалмов
      Parameters:
        `realmGroup` - новая группа реалмов